[ Maverik Level 1 functions ]

#

mav_paletteColourIndexEmptyGet

mav_paletteColourIndexEmptyGet, mav_paletteMaterialIndexEmptyGet, mav_paletteTextureIndexEmptyGet, mav_paletteLightIndexEmptyGet, mav_paletteFontIndexEmptyGet

## Summary

Return an empty index in the palette.

## Syntax

int mav_paletteColourIndexEmptyGet(MAV_palette *p);

int mav_paletteMaterialIndexEmptyGet(MAV_palette *p);

int mav_paletteTextureIndexEmptyGet(MAV_palette *p);

int mav_paletteLightIndexEmptyGet(MAV_palette *p);

int mav_paletteFontIndexEmptyGet(MAV_palette *p);

- MAV_palette *p
  Palette to query

## Description

These functions return the first empty index for the relevant component in a given palette. If no empty index can be found a warning message a printed and -1 returned.

Back to the index page.